<?php

/**
 * The template for displaying news archive page
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package UIU_CSE
 */

get_header();
?>


<main id="main" class="site-main" role="main">


	<div class="sections">
		
		

		<section id="all-faculties" class="container">
			
			

			<h2>List of Faculty Members of Department of CSE</h2>

			<!-- <hr> -->
			<div class="grid">

				<?php if (have_posts()) : ?>
					<?php while (have_posts()) : the_post(); ?>



						<div class="faculty-stub">

							<div class="stub-img-holder">
								<img class="stub-img" src="<?php the_field('profile_photo'); ?>" alt="">
							</div>

							<div class="archive-faculty-details">
								<a class="faculty-name" href="#"><h3><?php echo get_the_title(); ?></h3></a>

								<span class="faculty-designation">
									<?php the_field('designation'); ?>
								</span>

							</div>

						</div>


						
					<?php endwhile; ?>

					<?php the_posts_navigation(); ?>

					<?php
				else :

					get_template_part('template-parts/content', 'none');

				endif;
				?>
			</div>
			<div class="grid">

			</div>
		</section>
	</div>
</main><!-- #main -->

<style>
	header {
		height: 100px !important;
	}

	#all-news {
		display: flex;
		flex-direction: column;
	}

	#all-news h2 {
		color: #000 !important;
		margin-top: 40px;
		margin-bottom: 20px;
	}

	#all-news .stub {
		margin: 30px auto;
	}

	#all-news .stub-img-holder {
		height: 200px;
		overflow: hidden;
	}

	#all-news .stub-img-holder img {
		height: 100%;
		width: 100%;
		-o-object-fit: cover;
		object-fit: cover;
		-o-object-position: center;
		object-position: center;
	}

	#all-news .news-date {
		display: block;
		color: #485680;
		font-weight: 800;
		font-size: 14px;
		margin: 10px 0px !important;
	}

	#all-news h3 {
		height: 50px;
		font-size: 18px;
		line-height: 22px;
		font-family: "Open Sans", sans-serif;
		color: #2F4858 !important;
		margin: 20px auto;
	}

	/*# sourceMappingURL=archive-news.css.map */
</style>
<?php
get_footer();
