<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package UIU_CSE
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'uiu-cse'); ?></a>

		<header id="masthead" class="site-header">
			<section id="first-nav-section">
				<nav id="first-nav" class="container-fluid">
					<ul>
						<img src="<?php echo (get_header_image()); ?>" alt="<?php echo (get_bloginfo('title')); ?>" />

						<li><a><span onclick="openNav()">About</span></a></li>
						<li><a><span onclick="openNav()">Admission</span></a></li>

						<li><a><span onclick="openNav()">Research</span></a></li>
						<li><a><span onclick="openNav()">Media</span></a></li>
						<li><a><span onclick="openNav()">Faculty</span></a></li>
						<li><a><span onclick="openNav()">Contact</span></a></li>
						<li>
							<a>
								<span onclick="openSearch()">Search </span>
							</a>
						</li>
						<li>

					</ul>
					<span onclick="openNav()" id="menu-bars" class="material-icons">
						menu
					</span>
				</nav>
			</section>

			<section id="second-nav-section" class="primary-c">
				<nav id="second-nav" class="container-fluid primary-c">
					<ul>
						<li><a href="#"><span onclick="openNav()">CSE Home</span></a></li>
						<li><a href="#"><span onclick="openNav()">About</span></a></li>
						<li><a href="#"><span onclick="openNav()">UG Program (B.Sc in CSE)</span></a></li>
						<li><a href="#"><span onclick="openNav()">Graduate Program (M.Sc in CSE)</span></a></li>
						<li><a href="#"><span onclick="openNav()">Research</span></a></li>
						<li><a href="#"><span onclick="openNav()">CSE Faculty</span></a></li>
						<li><a href="#"><span onclick="openNav()">Alumni</span></a></li>
						<li><a href="#"><span onclick="openNav()">Contact</span></a></li>

					</ul>
				</nav>
			</section>
		</header><!-- #masthead -->