<?php

/**
 * Template Name: Home - Hard Coded
 *
 * @package UIU_CSE
 */
get_header(); ?>

<!-- <div class="container full-width">
    <div class="row"> -->

        <section id="banner" class="container-fluid">

            <div class="banner-slider" data-banner-slider>
                <button class="banner-slider-button prev" data-banner-slider-button="prev">
                    <span class="material-symbols-outlined">
                        arrow_back_ios
                    </span>
                </button>
                <button class="banner-slider-button next" data-banner-slider-button="next">
                    <span class="material-symbols-outlined">
                        arrow_forward_ios
                    </span>
                </button>

                <ul data-slides>

                    <li class="slide" data-active>
                        <div class="slider-single-div">
                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_01.jpg" alt="">

                            <div class="banner-overlay">
                                <h4>Welcome to </h4>
                                <h1>United<br> International<br> University</h1>
                                <h3>
                                    Department of <br>
                                    Computer Science &amp; Engineering
                                </h3>
                            </div>
                        </div>
                    </li>


                    <li class="slide">
                        <div class="slider-single-div">
                            <img src="<?php echo (get_template_directory_uri()) ?>/img/Slider_Swan2.jpg" alt="">

                            <div class="banner-overlay">
                                <h4>Welcome to </h4>
                                <h1>United International University</h1>
                                <h3>
                                    Department of <br>
                                    Computer Science &amp; Engineering
                                </h3>
                            </div>
                        </div>
                    </li>


                    <li class="slide">
                        <div class="slider-single-div">
                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_02.jpg" alt="">

                            <div class="banner-overlay">
                                <h4>Welcome to </h4>
                                <h1>Department of <br>
                                Computer Science &amp; Engineering</h1>
                                <h3>
                                    United International University
                                </h3>
                            </div>
                        </div>
                    </li>

                </ul>

            </div>
        </section>


        <main id="main" class="site-main" role="main">

            <div class="sections">

                <section class="container-fluid white-bg">
                    <div class="container">
                        <h1>We evolve with technology</h1>
                        <p>
                            The CSE Department of UIU has been involved in several projects in last five years including projects under Thrust/Emerging Areas, Modernization and Removal of Obsolescence, Industry-Institution Interaction.
                        </p>


                        <button class="primary-c">Learn more</button>

                        <div class="grid">


                            <div class="program">
                                <div class="img-cont-2">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/student_03.jpg" alt="">
                                </div>
                                <div class="program-details">
                                    <h2>Graduate Program</h2>
                                    <p>
                                        <b>United International University (UIU)</b> has been running its M.Sc. in Computer Science and Engineering program since its inception and has attracted not only fresh undergraduates but also a handful number of ICT professionals from the industry.
                                    </p>

                                    <button class="primary-c"> View All Programs </button>


                                </div>
                            </div>

                            <div class="program">
                                <div class="img-cont-2">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/undergrad.jpg" alt="">
                                </div>


                                <div class="program-details">
                                    <h2>Undergraduate Program</h2>
                                    <p>
                                        Bachelor of Science in Computer Science and Engineering primarily involves the study of a number of core courses, which every CSE graduate should know, and a significant number of courses from specialized areas.
                                    </p>
                                    <button class="primary-c"> View All Programs </button>
                                </div>


                            </div>

                        </div>

                    </div>
                </section>


                <section id="faculty-section" class="container-fluid white-bg">
                    <div class="container">
                        <h1>World Class Faculty</h1>
                        <p>
                            The Department of Computer Science and Engineering at UIU boasts one of the biggest faculty bodies
                            amongst all private universities in the country and is bolstered by a rich and diverse battery of published research work.
                        </p>
                    </div>

                    <div class="container">

                        <div id="faculty-img">
                            <img src="<?php echo (get_template_directory_uri()) ?>/img/faculty-grp.jpg" alt="">
                        </div>

                        <p>
                            The Department of Computer Science and Engineering faculty members are an impressive group, bearing the academic tradition of higher excellence. World renowned, they are engaged in ground-breaking research. Further, they are so attuned to what’s happening in business that they are shaping its future.
                        </p>
<a href="https://uiu.revinr.work/cse/faculty/">
                        <button class="primary-c">
                            View complete faculty list
                        </button>
</a>
                    </div>

                </section>

                <section class="container-fluid car" id="faculty-carousel">
                    <div class="car-buttons">
                        <button class="car-control primary-c" id="prev-car" onclick="scrollToPrev()">
                            >
                        </button>

                        <button class="car-control primary-c" id="next-car" onclick="scrollToNext()">
                            >
                        </button>
                    </div>


                    <div class="profile-carousel">

                        <div class="car-item">
                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/saim.jpg" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Islam, Salekul<span class="degree">, Ph.D.</span></h2>
                                    <h3><span class="degree">Professor & Head of the Dept.</span></h3>


                                </div>

                            </div>
                        </div>

                        <div class="car-item">
                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/mamun.jpg" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Mamun, Khondaker Abdullah Al<span class="degree">, Ph.D.</span></h2>
                                    <h3><span class="degree">Professor & Director - AIMS Lab</span></h3>
                                </div>

                            </div>
                        </div>

                        <div class="car-item">
                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/swakkhar.jpg" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Shatabda, Swakkhar<span class="degree">, Ph.D</span></h2>
                                    <h3><span class="degree">Professor & Director - IQAC</span></h3>


                                </div>

                            </div>
                        </div>

                        <div class="car-item">
                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/ShahriarRahman.jpg" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Rahman, Mohammad Shahriar<span class="degree">, Ph.D</span></h2>
                                    <h3><span class="degree">Professor & Director - CITS</span></h3>


                                </div>

                            </div>
                        </div>

                        <div class="car-item">

                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/mofizur.jpg" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Rahman, Chowdhury Mofizur<span class="degree">, Ph.D</span></h2>
                                    <h3><span class="degree">Professor & Advisor to Board of Trustees</span></h3>


                                </div>

                            </div>
                        </div>


                        <div class="car-item">

                            <div class="car-item-holder">
                                <div class="car-img-holder">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/nurul-huda.png" alt="">
                                </div>

                                <div class="faculty-details">
                                    <h2>Huda, Mohammad Nurul<span class="degree">, Ph.D</span></h2>
                                    <h3><span class="degree">Professor & Director - MSCSE</span></h3>

                                </div>

                            </div>
                        </div>


                    </div>

                </section>


                <section id="Success-section" class="container-fluid white-bg">
                    <div class="container">
                        <h1>Success Stories</h1>
                        <p>
                            Our students inspire us by their courage and perseverance, and are a reminder that obstacles can be overcome when you have just one person cheering you on to the finish line.
                        </p>
                    </div>

                    <div class="container">


                        <div id="us-imgs" class="grid student-stories">

                            <div>
                                <div class="img-cont">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/story_hasan_shaharear.jpg" alt="">
                                </div>
                                <div>
                                    <h2>Mohammad Hasan Shaharear</h2>
                                    <h5>Senior Database Engineer,Therap (BD) Ltd</h5>
                                    <p>
                                        It was a complete unknown territory for me when I admitted to BSCSE of UIU in 2003. In fact, I had never operate a computer before. Initially I was a bit exited as well as scared. Though I had tough time in the beginning, gradually I became familiar with logic of computing and programming languages. With the course of time, I had start enjoying different courses.
                                    </p>

                                    <a href="#">Learn more</a>
                                </div>
                            </div>

                            <div>
                                <div class="img-cont">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/story_foysal-ahmed.jpg" alt="">
                                </div>
                                <div>
                                    <h2>Foysal Ahamed</h2>
                                    <h5>Software Engineer, TigerIT Bangladesh Limited</h5>
                                    <p>
                                        I still remember the day I first stepped into the UIU campus. I really did not know what kind of career path I would choose. Two weeks into the SPL (Structured Programming Language) course, I discovered something that was driving me, something amazing happened and finally I found myself in a position where I knew what I was going to do. Dr.
                                    </p>
                                    <a href="#">Learn more</a>
                                </div>
                            </div>

                            <div>
                                <div class="img-cont">
                                    <img src="<?php echo (get_template_directory_uri()) ?>/img/story_kamrul_islam.jpg" alt="">
                                </div>
                                <div>
                                    <h2>Kamrul Islam Shahin</h2>
                                    <h5>Programmer, Big Web Technologies Limited</h5>
                                    <p>
                                        It’s still like a dream. The day I accomplished my goal by finishing my studies, all the struggles of the past years seemed nothing. My hard work showed its result finally. When I started my educational journey with United International University (UIU), the path seemed dark, confusing and quite uncertain.
                                    </p>
                                    <a href="#">Learn more </a>
                                </div>
                            </div>


                        </div>

                        <div>
                            <h1>Notable Alumni</h1>
                            <p>
                                Pellentesque est est, luctus non iaculis sed, congue non diam. In efficitur gravida ipsum vitae finibus. Etiam sollicitudin placerat leo.
                            </p>
                        </div>

                        <a href="https://uiu.revinr.work/cse/alumni/">
                            <button class="primary-c">
                                View complete Alumni list
                            </button>
                        </a>
                    </div>

                </section>

                <section class="container-fluid car" id="alumni-carousel">
                    <div class="car-buttons">
                        <button class="car-control primary-c" onclick="scrollToPrevAl()">
                            < </button>

                            <button class="car-control primary-c" onclick="scrollToNextAl()">
                                >
                            </button>
                        </div>


                        <div class="profile-carousel">

                            <div class="car-item">
                                <div class="car-item-holder">
                                    <div class="car-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/tazbir_ur_rahman.jpeg" alt="">
                                    </div>

                                    <div class="faculty-details">
                                        <h2>Md. Tazbir Ur Rahman Bhuiyan</h2>
                                        <h3><span class="degree">Lead Engineer at Brain Station 23 Limited</span></h3>


                                    </div>

                                </div>
                            </div>

                            <div class="car-item">
                                <div class="car-item-holder">
                                    <div class="car-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/saifur_rahman_sazib.jpeg" alt="">
                                    </div>

                                    <div class="faculty-details">
                                        <h2>Saifur Rahman Sazib</h2>
                                        <h3><span class="degree">Lead Engineer at Objectstream Inc, USA</span></h3>


                                    </div>

                                </div>
                            </div>



                            <div class="car-item">
                                <div class="car-item-holder">
                                    <div class="car-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/faisal_kabir.jpeg" alt="">
                                    </div>

                                    <div class="faculty-details">
                                        <h2>Md Faisal Kabir</h2>
                                        <h3><span class="degree">PhD student at North Dakota State University (NDSU)</span></h3>


                                    </div>

                                </div>
                            </div>

                            <div class="car-item">
                                <div class="car-item-holder">
                                    <div class="car-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/achia_nila.jpeg" alt="">
                                    </div>

                                    <div class="faculty-details">
                                        <h2>Achia Nila</h2>
                                        <h3><span class="degree"> Founder, Women In Digital - Empowerment through Technology</span></h3>


                                    </div>

                                </div>
                            </div>

                            <div class="car-item">
                                <div class="car-item-holder">
                                    <div class="car-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/hussain_kmr.jpeg" alt="">
                                    </div>

                                    <div class="faculty-details">
                                        <h2>Hussain KMR Behestee</h2>
                                        <h3><span class="degree">Mobile Device Specialist, K.K. Innovative Solutions</span></h3>


                                    </div>

                                </div>
                            </div>



                        </div>

                    </section>

                    <section id="dept-notices" class="container-fluid mid-roll">



                        <div class="bg-tint">

                            <div class="container">

                                <h1>Department Notices</h1>

                                <div class="notice-main">

                                    <a href="#">

                                        <div class="notice-container">

                                            <div class="event-date">
                                                <h3>Dec</h3>
                                                <h3>16</h3>
                                            </div>

                                            <div>
                                                <h6><span class="subtitle">8 Dec, 2022</span></h6>
                                                <h4>List of Candidates for Fall 2022 semester</h4>
                                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.</p>
                                            </div>

                                        </div>
                                    </a>

                                    <a href="#">

                                        <div class="notice-container">

                                            <div class="event-date">
                                                <h3>Dec</h3>
                                                <h3>12</h3>
                                            </div>

                                            <div>
                                                <h6><span class="subtitle">8 Dec, 2022</span></h6>
                                                <h4>List of Candidates for Fall 2022 semester</h4>
                                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.</p>
                                            </div>

                                        </div>
                                    </a>


                                    <a href="#">

                                        <div class="notice-container">

                                            <div class="event-date">
                                                <h3>Dec</h3>
                                                <h3>03</h3>
                                            </div>

                                            <div>
                                                <h6><span class="subtitle">8 Dec, 2022</span></h6>
                                                <h4>List of Candidates for Fall 2022 semester</h4>
                                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.</p>
                                            </div>

                                        </div>
                                    </a>


                                    <a href="#">

                                        <div class="notice-container">

                                            <div class="event-date">
                                                <h3>Nov</h3>
                                                <h3>25</h3>
                                            </div>

                                            <div>
                                                <h6><span class="subtitle">8 Dec, 2022</span></h6>
                                                <h4>List of Candidates for Fall 2022 semester</h4>
                                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.</p>
                                            </div>

                                        </div>
                                    </a>

                                    <a href="#">

                                        <div class="notice-container">

                                            <div class="event-date">
                                                <h3>Nov</h3>
                                                <h3>12</h3>
                                            </div>

                                            <div>
                                                <h6><span class="subtitle">8 Dec, 2022</span></h6>
                                                <h4>List of Candidates for Fall 2022 semester</h4>
                                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.</p>
                                            </div>

                                        </div>
                                    </a>

                                    <a href="https://uiu.revinr.work/cse/notice/">

                                        <button>View All Notices</button>
                                    </a>

                                </div>


                            </div>
                        </div>
                    </section>

                    <section id="dept-news" class="container-fluid white-bg">

                        <div class="container">



                            <h1>Department News</h1>

                            <p>
                                Catch up with what's happening at the Department of CSE
                            </p>

                            <div class="grid news-row">

                                <div class="news-big-img">
                                    <div class="news-big-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_05.jpg" alt="">
                                    </div>

                                    <div class="news-big-img-text">
                                        <h5>28th March, 2016</h5>
                                        <h4> <a href=""> Seminar</a></h4>
                                        <a href="">
                                            <p>Development and Mining of a Volatile Organic Compound Database</p>
                                        </a>
                                    </div>
                                </div>


                                <div class="grid">
                                    <div class="news-small-img">
                                        <div class="news-sm-img-holder">
                                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_05.jpg" alt="">
                                        </div>
                                        <div class="news-sm-img-text">
                                            <h5>28th March, 2016</h5>
                                            <h4> <a href=""> Seminar</a></h4>
                                            <a href="">
                                                <p>Development and Mining of a Volatile Compounds</p>
                                            </a>
                                        </div>
                                    </div>

                                    <div class="news-small-img">
                                        <div class="news-sm-img-holder">
                                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_01.jpg" alt="">
                                        </div>
                                        <div class="news-sm-img-text">
                                            <h5>28th March, 2016</h5>
                                            <h4> <a href=""> Seminar</a></h4>
                                            <a href="">
                                                <p>Development and Mining of a Volatile Compounds</p>
                                            </a>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="grid news-row">

                                <div class="grid">
                                    <div class="news-small-img">
                                        <div class="news-sm-img-holder">
                                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_05.jpg" alt="">
                                        </div>
                                        <div class="news-sm-img-text">
                                            <h5>28th March, 2016</h5>
                                            <h4> <a href=""> Seminar</a></h4>
                                            <a href="">
                                                <p>Development and Mining of a Volatile Compounds</p>
                                            </a>
                                        </div>
                                    </div>

                                    <div class="news-small-img">
                                        <div class="news-sm-img-holder">
                                            <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_01.jpg" alt="">
                                        </div>
                                        <div class="news-sm-img-text">
                                            <h5>28th March, 2016</h5>
                                            <h4> <a href=""> Seminar</a></h4>
                                            <a href="">
                                                <p>Development and Mining of a Volatile Compounds</p>
                                            </a>
                                        </div>
                                    </div>

                                </div>

                                <div class="news-big-img">
                                    <div class="news-big-img-holder">
                                        <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_05.jpg" alt="">
                                    </div>

                                    <div class="news-big-img-text">
                                        <h5>28th March, 2016</h5>
                                        <h4> <a href=""> Seminar</a></h4>
                                        <a href="">
                                            <p>Development and Mining of a Volatile Organic Compound Database</p>
                                        </a>
                                    </div>
                                </div>


                            </div>
                            <a href="https://uiu.revinr.work/cse/news/">
                                <button class="primary-c">View All News</button> </a>
                            </div>

                        </section>

                        <section id="events" class="container-fluid mid-roll">
                            <div class="bg-tint">

                                <div class="container">

                                    <h1>Upcoming Events</h1>

                                    <div class="grid">
                                        <div class="event-holder">
                                            <div class="event-img-holder">
                                                <img src="<?php echo (get_template_directory_uri()) ?>/img/0555.jpg" alt="">
                                            </div>

                                            <div class="event-date primary-c">
                                                <h3>Dec</h3>
                                                <h3>17</h3>
                                            </div>

                                            <div class="event-details">
                                                <a href="">
                                                    <h3>Seminar</h3>
                                                    <h2>Blockchain: The Coming Revolution</h2>
                                                </a>
                                            </div>
                                        </div>

                                        <div class="event-holder">
                                            <div class="event-img-holder">
                                                <img src="<?php echo (get_template_directory_uri()) ?>/img/2.jpg" alt="">
                                            </div>

                                            <div class="event-date primary-c">
                                                <h3>Nov</h3>
                                                <h3>27</h3>
                                            </div>

                                            <div class="event-details">
                                                <a href="">
                                                    <h3>Pre-Advising</h3>
                                                    <h2>Blockchain: The Coming Revolution</h2>
                                                </a>
                                            </div>
                                        </div>

                                        <div class="event-holder">
                                            <div class="event-img-holder">
                                                <img src="<?php echo (get_template_directory_uri()) ?>/img/research_01.jpg" alt="">
                                            </div>

                                            <div class="event-date primary-c">
                                                <h3>Nov</h3>
                                                <h3>22</h3>
                                            </div>

                                            <div class="event-details">
                                                <a href="">
                                                    <h3>Cultural Event</h3>
                                                    <h2>Blockchain: The Coming Revolution</h2>
                                                </a>

                                            </div>
                                        </div>

                                        <div class="event-holder">
                                            <div class="event-img-holder">
                                                <img src="<?php echo (get_template_directory_uri()) ?>/img/research_03.jpg" alt="">
                                            </div>

                                            <div class="event-date primary-c">
                                                <h3>Nov</h3>
                                                <h3>12</h3>
                                            </div>

                                            <div class="event-details">
                                                <a href="">
                                                    <h3>Seminar</h3>
                                                    <h2>Blockchain: The Coming Revolution</h2>
                                                </a>

                                            </div>
                                        </div>
                                    </div>
                                    <a href="https://uiu.revinr.work/cse/event/">
                                        <button class="primary-c">View all events</button>
                                    </a>
                                </div>
                            </div>
                        </section>


                        <section id="research-grants" class="white-bg">
                            <div class="container">
                                <h1>Research &amp; Grants</h1>
                                <p>Maecenas sed enim ut sem viverra aliquet. Neque laoreet suspendisse interdum consectetur.
                                    Mus mauris vitae ultricies leo integer malesuada nunc vel. Mus mauris vitae ultricies leo integer malesuada nunc vel.
                                </p>

                                <div id="research-pointers" class="grid">

                                    <div>
                                        <h3>32 Research Projects</h3>
                                        <p>Spread across Undergraduate and Graduate Programs</p>
                                    </div>

                                    <div>
                                        <h3>Tk 5 Crores in grants</h3>
                                        <p>Spread across Undergraduate and Graduate Programs</p>
                                    </div>


                                    <div>
                                        <h3>32 Research Projects</h3>
                                        <p>Spread across Undergraduate and Graduate Programs</p>
                                    </div>
                                </div>


                            </div>
                        </section>

                    </div>

                </main><!-- #main -->
                <!-- </div> -->
                <!-- .row -->
                <!-- </div> -->
                <!-- .container -->

                <?php get_footer(); ?>